Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
InputStream Class Referenceabstract

Abstract class for reading from character streams. More...

Inherits ObjectImpl.

Inherited by ByteArrayInputStream, and FileInputStream.

## Public Member Functions
virtual int | read (ByteBuffer &dst)=0
| Reads a sequence of bytes into the given buffer. More...
virtual void | close ()=0
| Closes this input stream and releases any system resources associated with the stream. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Protected Member Functions
| InputStream ()
virtual | ~InputStream ()

## Additional Inherited Members
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for reading from character streams.

## Constructor & Destructor Documentation

InputStream | ( |  | ) |
| protected

virtual ~InputStream | ( |  | ) |
| protected virtual

## Member Function Documentation

virtual void close | ( |  | ) |
| pure virtual

Closes this input stream and releases any system resources associated with the stream.

Implemented in FileInputStream, and ByteArrayInputStream.

virtual int read | ( | ByteBuffer & | dst | ) |
| pure virtual

Reads a sequence of bytes into the given buffer.

Parameters

  dst | The buffer into which bytes are to be transferred.

Returns
  the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Implemented in FileInputStream, and ByteArrayInputStream.

The documentation for this class was generated from the following file:

- inputstream.h